Minilessons for Operations with Fractions, Decimals, and Percents, Grades 5-8 (CD)

By Maarten Dolk, Freudenthal Institute, The Netherlands, Catherine Twomey Fosnot, City College of New York

This product is part of the series: The Young Mathematicians at Work Series

In Minilessons for Operations with Fractions, Decimals, and Percents clips of teachers conducting effective minilessons in real classrooms show you how these short, focused sessions can build big mathematical thinking in young learners.

System Requirements for CD-ROM

Windows/PC
Pentium II Processor
266MHz (or higher)
Windows 98 (or higher)
64 MB RAM (more recommended)
SVGA Color Display (or better)
4x CD-ROM Drive (or faster)
Sound Card
16-bit Flash™ Player and Acrobat Reader®
Quicktime 6.0 (or higher)

MacIntosh
PowerPC Processor
G3/233MHz (or higher)
System
Read More


In Minilessons for Operations with Fractions, Decimals, and Percents clips of teachers conducting effective minilessons in real classrooms show you how these short, focused sessions can build big mathematical thinking in young learners.

System Requirements for CD-ROM

Windows/PC
Pentium II Processor
266MHz (or higher)
Windows 98 (or higher)
64 MB RAM (more recommended)
SVGA Color Display (or better)
4x CD-ROM Drive (or faster)
Sound Card
16-bit Flash™ Player and Acrobat Reader®
Quicktime 6.0 (or higher)

MacIntosh
PowerPC Processor
G3/233MHz (or higher)
System 9.2 or 10.2 (or higher)
64 MB RAM (more recommended)
SVGA Color Display (or better)
4x CD-ROM Drive (or faster)
Sound Card
16-bit Flash™ Player and Acrobat Reader®
Quicktime 6.0 (or higher)
Read Less


Star Special Offer: Save 30% off our list price automatically when you buy 15 or more.

ISBN 978-0-325-00903-2 / 0-325-00903-1 / 2006 / 0pp / CD-ROM
Grade Level: 5th - 8th
*Price and availability subject to change without notice.

CD-ROM

This title is out of print.

List Price: $36.88

Web/School Price: $29.50

NOTE: The CDs are compatible with Windows XP, Vista, Windows 7, and Mac OS X up to 10.6. They are not compatible with Mac OS X 10.7 (Lion) or above.